Subject: Re: [PATCH] network configs: disconnect network options from drivers

From: "Randy.Dunlap" <[email-masked]>
Date: Tue, 05 Apr 2005 11:46:45 -0700

Sam Ravnborg wrote:
> On Mon, Apr 04, 2005 at 04:11:33PM -0700, Randy.Dunlap wrote:
> 
>>- in Networking support, move Network testing and Netpoll
>>support to the end of the menu (basically put the devel.
>>tools toward the bottom of the menu)
> 
> Done
> 
> 
>>- I would rather not "hide" Amateur Radio, IrDA, and
>>Bluetooth in the Networking protocols area, but have them
>>near 802.1x and ATM in the top-level Networking support
>>menu.  How does that sound to you?
> 
> Done
> 
> I've made them with separate menu's that you have to enter to enable
> them.
> Also pushed out xfrm stuff to net/xfrm/Kconfig
> Several other small adjustments.
> In the Networking menu the submenu's are grouped in beginning and in the
> end now.
> 
> I thought of creating a Kconfig.netfilter for the common netfilter
> stuff. But in the end did not do it - felt there was plenty of new small
> files being created already.

It would make sense to isolate the netfilter options, but that can
be done later.
But you are right about "plenty of new small files."

I would move Frame Diverter (NET_DIVERT) from the end of the
net/core/Kconfig file to the top of the same file....
and then ship it.  :)

> Comments welcome.

Thanks for doing this.

-- 
~Randy